<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/searchPrefs.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
function searchPrefs($name,$xml,$requestName,$current_path,$firstNode,$firstNodePath){
	$db_conn = db_connect();
	$domain = $xml->getData($firstNodePath.'/@domain');
	if(isset($_SESSION[$GLOBALS['nectil_url']]['SESSIONuserID']))
		$userID = $_SESSION[$GLOBALS['nectil_url']]['SESSIONuserID'];
	else
		$userID = 1; // template if not logged
	if (!$domain)
		return $query_result = generateMsgXML(1,"You haven't put a domain for the prefs you want to get.",0,'',$name);
	$sql = 'SELECT * FROM `prefs` WHERE (`OwnerID`=\''.$userID.'\' OR `OwnerID`=\'1\') AND `Domain`="'.encodeQuote(decode_from_XML($domain)).'" ORDER BY `OwnerID` DESC LIMIT 1;';
	$row = $db_conn->GetRow($sql);

	$attributes = '';
	if ($name)
		$attributes.=' name="'.$name.'"';
	$external_file = $xml->getData($current_path.'/@fromFile');
	if($external_file)
		$attributes.=' fromFile="'.$external_file.'"';
	$query_result='<RESULTS'.$attributes.'>';
	if($row){
		$query_result.='<PREFS domain="'.encode_to_xml($domain).'">';
		$query_result.=$row['Value'];
		$query_result.='</PREFS>';
	}
	$query_result.='</RESULTS>';
	return $query_result;
	
}
?>
